{
  gStyle->SetOptFit(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);
  gStyle->SetTextFont(132);
  gStyle->SetLegendFont(132);
  gROOT->ForceStyle();
  TPad *p;
  TCanvas *c = new TCanvas("c","c",600,300);
  c->cd();
  p = new TPad("p","p",0,0,1,1);
  p->SetTopMargin(0.01);
  p->SetLeftMargin(0.11);
  p->SetBottomMargin(0.15);
  p->SetRightMargin(0.07);
  p->Draw();
  p->cd();

  TFile *f[2];
  f[0] = new TFile("hist/iso.root");
  f[1] = new TFile("hist/ang.root");

  TH1F* h[2];
  for(int i=0;i<2;i++){
    h[i] = (TH1F*)f[i]->Get("theta_emitted");
  }
  h[0]->Draw();
  h[0]->GetYaxis()->SetTitle("counts");
  h[0]->GetYaxis()->SetTitleSize(0.075);
  h[0]->GetYaxis()->SetTitleOffset(0.75);
  h[0]->GetYaxis()->SetLabelSize(0.065);
  h[0]->GetYaxis()->SetLabelOffset(0.01);
  h[0]->GetXaxis()->SetTitle("#theta_{#gamma} (rad)");
  h[0]->GetXaxis()->SetTitleSize(0.075);
  h[0]->GetXaxis()->SetTitleOffset(0.9);
  h[0]->GetXaxis()->SetLabelSize(0.065);
  h[0]->GetXaxis()->SetLabelOffset(0.013);
  h[0]->GetXaxis()->SetRangeUser(0.,3.2);
  //h[0]->GetYaxis()->SetRangeUser(0.1,420);
  h[0]->GetXaxis()->SetTitleFont(132);
  h[0]->GetYaxis()->SetTitleFont(132);
  h[0]->GetXaxis()->SetLabelFont(132);
  h[0]->GetYaxis()->SetLabelFont(132);
  h[1]->Draw("same");
  h[1]->SetLineColor(2);

  TLegend *l = new TLegend(0.72, 0.77, 0.92, 0.98);
  l->AddEntry(h[0], "isotropic", "L");
  l->AddEntry(h[1], "a_{2} = 0.4", "L");
  l->SetTextSize(0.075);
  l->SetBorderSize(0);
  l->SetFillColor(0);
  l->Draw();

  
}
