{
  gStyle->SetOptFit(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);
  gStyle->SetTextFont(132);
  gStyle->SetLegendFont(132);
  
  gROOT->ForceStyle();

  TFile* f = new TFile("hsource152eu.root");

  TH1F* h[2][3];
  h[0][0] = (TH1F*)f->Get("egam");
  h[0][1] = (TH1F*)f->Get("GRegam");
  h[0][2] = (TH1F*)f->Get("MBegam");
  h[1][0] = (TH1F*)f->Get("egamAB");
  h[1][1] = (TH1F*)f->Get("GRegamAB");
  h[1][2] = (TH1F*)f->Get("MBegamAB");

  TCanvas* c = new TCanvas("c","c",800,400);
  c->Divide(1,2);
  TPad *p[2];
  char* title[2] =  {"singles","add-back"};
  TLatex* tl[2];
  for(int i=0;i<2;i++){
    c->cd(i+1);
    p[i] = new TPad(Form("p%d",i),Form("p%d",i),0,0,1,1);
    p[i]->SetTopMargin(0.01);
    p[i]->SetLeftMargin(0.06);
    p[i]->SetBottomMargin(0.15);
    p[i]->SetRightMargin(0.01);
    p[i]->Draw();
    p[i]->cd();

    h[i][0]->GetYaxis()->SetTitle("counts");
    h[i][0]->GetYaxis()->SetTitleSize(0.075);
    h[i][0]->GetYaxis()->SetTitleOffset(0.45);
    h[i][0]->GetYaxis()->SetLabelSize(0.065);
    h[i][0]->GetYaxis()->SetLabelOffset(0.01);
    h[i][0]->GetXaxis()->SetTitle("E_{#gamma} (keV)");
    h[i][0]->GetXaxis()->SetTitleSize(0.075);
    h[i][0]->GetXaxis()->SetTitleOffset(0.6);
    h[i][0]->GetXaxis()->SetLabelSize(0.065);
    h[i][0]->GetXaxis()->SetLabelOffset(0.013);
    h[i][0]->GetXaxis()->SetRangeUser(50,1550);
    h[i][0]->GetYaxis()->SetRangeUser(0.1,3200);
    h[i][0]->GetXaxis()->SetTitleFont(132);
    h[i][0]->GetYaxis()->SetTitleFont(132);
    h[i][0]->GetXaxis()->SetLabelFont(132);
    h[i][0]->GetYaxis()->SetLabelFont(132);
    h[i][0]->Draw();
    for(int j=1;j<3;j++){
      h[i][j]->SetLineColor(1+j);
      h[i][j]->Draw("same");
    }
    tl[i] = new TLatex(0.1,0.9,title[i]);
    tl[i]->SetNDC();
    tl[i]->SetTextSize(0.09);
    tl[i]->Draw();
  }
  TLegend *l = new TLegend(0.80, 0.59, 0.98, 0.97);
  l->AddEntry(h[0][0], "HR array", "L");
  l->AddEntry(h[0][1], "MB detectors", "L");
  l->AddEntry(h[0][2], "tracking detectors", "L");
  l->SetTextSize(0.075);
  l->SetBorderSize(0);
  l->SetFillColor(0);
  p[0]->cd();
  l->Draw();
  c->SaveAs("source152eu.eps");
}
