{
  gStyle->SetOptFit(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);
  gStyle->SetTextFont(132);
  gStyle->SetLegendFont(132);
  
  gROOT->ForceStyle();

  TFile* f = new TFile("hni78_1MeV.root");

  TH2F* h[4];
  h[0] = (TH2F*)f->Get("MBegam_dettheta");
  h[1] = (TH2F*)f->Get("MBegamdc_dettheta");
  h[2] = (TH2F*)f->Get("GRegam_dettheta");
  h[3] = (TH2F*)f->Get("GRegamdc_dettheta");

  TCanvas* c = new TCanvas("c","c",800,600);
  c->Divide(2,2);
  TPad *p[4];
  char* title[4] =  {"Miniball detectors lab.","Miniball detectors DC","tracking detectors lab","tracking detectors DC"};
  TLatex* tl[4];
  for(int i=0;i<4;i++){
    c->cd(i+1);
    p[i] = new TPad(Form("p%d",i),Form("p%d",i),0,0,1,1);
    p[i]->SetTopMargin(0.01);
    p[i]->SetLeftMargin(0.12);
    p[i]->SetBottomMargin(0.15);
    p[i]->SetRightMargin(0.09);
    p[i]->Draw();
    p[i]->cd();
    h[i]->RebinX(4);
    h[i]->RebinY(2);
    h[i]->GetYaxis()->SetTitle("#theta_{lab} (deg)");
    h[i]->GetYaxis()->SetTitleSize(0.065);
    h[i]->GetYaxis()->SetTitleOffset(0.9);
    h[i]->GetYaxis()->SetLabelSize(0.055);
    h[i]->GetYaxis()->SetLabelOffset(0.01);
    h[i]->GetYaxis()->SetTitleFont(132);
    h[i]->GetYaxis()->SetLabelFont(132);
    h[i]->GetXaxis()->SetTitle("E_{#gamma} (keV)");
    h[i]->GetXaxis()->SetTitleSize(0.065);
    h[i]->GetXaxis()->SetTitleOffset(1.0);
    h[i]->GetXaxis()->SetLabelSize(0.055);
    h[i]->GetXaxis()->SetLabelOffset(0.013);
    h[i]->GetXaxis()->SetTitleFont(132);
    h[i]->GetXaxis()->SetLabelFont(132);
    h[i]->GetZaxis()->SetTitle("counts");
    h[i]->GetZaxis()->SetTitleSize(0.065);
    h[i]->GetZaxis()->SetTitleOffset(0.2);
    h[i]->GetZaxis()->SetLabelSize(0.000);
    h[i]->GetZaxis()->SetLabelOffset(13);
    h[i]->GetZaxis()->SetTitleFont(132);
    h[i]->GetZaxis()->SetLabelFont(132);

    h[i]->GetXaxis()->SetRangeUser(0,1850);
    h[i]->GetYaxis()->SetRangeUser(15.,105);

    h[i]->Draw("colz");
    if(i<2)
      tl[i] = new TLatex(0.2,0.9,title[i]);
    else
      tl[i] = new TLatex(0.2,0.25,title[i]);
    tl[i]->SetNDC();
    tl[i]->SetTextSize(0.075);
    tl[i]->Draw();
  }
  c->SaveAs("inbeam.eps");
}
