{
  gStyle->SetOptFit(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);
  gStyle->SetTextFont(132);
  const int nn = 9;
  TFile *f[nn];
  f[0] = new TFile("hist/cu79_2260keV_9000evt.root");
  f[1] = new TFile("hist/cu79_2730keV_16000evt.root");
  f[2] = new TFile("hist/cu79_2900keV_4000evt.root");
  f[3] = new TFile("hist/cu79_2940keV_33000evt.root");
  f[4] = new TFile("hist/cu79_3100keV_21000evt.root");
  f[5] = new TFile("hist/cu79_3260keV_40000evt.root");
  f[6] = new TFile("hist/cu79_3880keV_34000evt.root");
  f[7] = new TFile("hist/cu79_4300keV_31000evt.root");
  f[8] = new TFile("hist/cu79_4580keV_28000evt.root");

  TPad *p;
  TCanvas *c = new TCanvas("c","c",700,600);
  c->cd();
  p = new TPad("p","p",0,0,1,1);
  p->SetTopMargin(0.01);
  p->SetLeftMargin(0.08);
  p->SetBottomMargin(0.11);
  p->SetRightMargin(0.01);
  p->Draw();
  p->SetLogy();
  p->cd();

  TH1F* h[nn+1];
  for(int i=0;i<nn;i++){
    if(i==0){
      h[nn] = (TH1F*)f[i]->Get("egamABdc");
      h[nn]->SetName("sum");
    }
    else
      h[nn]->Add((TH1F*)f[i]->Get("egamABdc"));
    h[i] = (TH1F*)f[i]->Get("egamABdc");
  }  
  h[nn]->Rebin(4);
  h[nn]->GetYaxis()->SetTitle("counts / 4 keV");
  h[nn]->GetYaxis()->SetTitleSize(0.045);
  h[nn]->GetYaxis()->SetTitleOffset(0.9);
  h[nn]->GetYaxis()->SetLabelSize(0.035);
  h[nn]->GetYaxis()->SetLabelOffset(0.01);

  h[nn]->GetXaxis()->SetTitle("E_{#gamma} (keV)");
  h[nn]->GetXaxis()->SetTitleSize(0.045);
  h[nn]->GetXaxis()->SetTitleOffset(1.0);
  h[nn]->GetXaxis()->SetLabelSize(0.035);
  h[nn]->GetXaxis()->SetLabelOffset(0.013);

  h[nn]->GetXaxis()->SetRangeUser(50,4950);
  h[nn]->GetYaxis()->SetRangeUser(1,3200);

  h[nn]->GetXaxis()->SetTitleFont(132);
  h[nn]->GetXaxis()->SetLabelFont(132);
  h[nn]->GetYaxis()->SetTitleFont(132);
  h[nn]->GetYaxis()->SetLabelFont(132);
  h[nn]->Draw();
  
  for(int i=0;i<nn;i++){
    h[i]->Rebin(4);
    h[i]->SetLineColor(i%5+2);
    h[i]->SetLineStyle(i/5);
    h[i]->Draw("same");
  }
  c->SaveAs("cu79_level.eps");
}
