{
  gStyle->SetOptFit(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);
  gStyle->SetTextFont(132);
  gStyle->SetLegendFont(132);
  
  gROOT->ForceStyle();

  TFile* f[3];
  f[0]= new TFile("hk53_be.root");
  f[1]= new TFile("hk53_nominos.root");
  f[2]= new TFile("hk53_minos.root");

  TH1F* h[2][3];
    
  h[0][0] = (TH1F*)f[0]->Get("GRegamABdc");
  h[1][0] = (TH1F*)f[0]->Get("MBegamABdc");
  h[0][1] = (TH1F*)f[1]->Get("GRegamABdc");
  h[1][1] = (TH1F*)f[1]->Get("MBegamABdc");
  h[0][2] = (TH1F*)f[2]->Get("GRegamABdc");
  h[1][2] = (TH1F*)f[2]->Get("MBegamABdc");

  TCanvas* c = new TCanvas("c","c",800,300);
  c->Divide(2,1);
  TPad *p[2];
  char* title[2] =  {"tracking detectors", "Miniball detectors"};
  TLatex* tl[2];
  for(int i=0;i<2;i++){
    c->cd(i+1);
    p[i] = new TPad(Form("p%d",i),Form("p%d",i),0,0,1,1);
    p[i]->SetTopMargin(0.01);
    p[i]->SetLeftMargin(0.115);
    p[i]->SetBottomMargin(0.14);
    p[i]->SetRightMargin(0.01);
    p[i]->Draw();
    p[i]->cd();
    
    h[i][0]->GetYaxis()->SetTitle("counts");
    h[i][0]->GetYaxis()->SetTitleSize(0.065);
    h[i][0]->GetYaxis()->SetTitleOffset(1.0);
    h[i][0]->GetYaxis()->SetLabelSize(0.055);
    h[i][0]->GetYaxis()->SetLabelOffset(0.01);
    h[i][0]->GetXaxis()->SetTitle("E_{#gamma} (keV)");
    h[i][0]->GetXaxis()->SetTitleSize(0.065);
    h[i][0]->GetXaxis()->SetTitleOffset(1.0);
    h[i][0]->GetXaxis()->SetLabelSize(0.055);
    h[i][0]->GetXaxis()->SetLabelOffset(0.013);
    h[i][0]->GetXaxis()->SetRangeUser(0,1700);
    h[i][0]->GetYaxis()->SetRangeUser(0.,2480);
    h[i][0]->GetXaxis()->SetTitleFont(132);
    h[i][0]->GetYaxis()->SetTitleFont(132);
    h[i][0]->GetXaxis()->SetLabelFont(132);
    h[i][0]->GetYaxis()->SetLabelFont(132);
    h[i][0]->Draw();
    h[i][1]->SetLineColor(2);
    h[i][1]->Draw("same");
    h[i][2]->SetLineColor(3);
    h[i][2]->Draw("same");
    tl[i] = new TLatex(0.15,0.9,title[i]);
    tl[i]->SetNDC();
    tl[i]->SetTextSize(0.09);
    tl[i]->Draw();
  }
  TLegend *l = new TLegend(0.18, 0.60, 0.48, 0.85);
  l->AddEntry(h[0][0], "Be target", "L");
  l->AddEntry(h[0][1], "10 cm LH_{2}", "L");
  l->AddEntry(h[0][2], "with MINOS", "L");
  l->SetTextSize(0.075);
  l->SetBorderSize(0);
  l->SetFillColor(0);
  p[1]->cd();
  l->Draw();
  c->SaveAs("minos.eps");
}
